package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityCartons;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityCartonsVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualityCartonsSelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualityCartonsDto;


/**
 * <p>
 * 质检纸箱表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityCartonsService extends BaseService<EhsdQualityCartons> {

    /**
     * 质检纸箱表分页
     */
    Page<EhsdQualityCartonsVo> getPage(EhsdQualityCartonsSelectDto dto);

    /**
     * 质检纸箱表明细
     */
    EhsdQualityCartonsVo detail(Long id);

    /**
     * 质检纸箱表新增
     */
    void add(EhsdQualityCartonsDto ehsdQualityCartonsDto);

    /**
     * 质检纸箱表编辑
     */
    void edit(EhsdQualityCartonsDto ehsdQualityCartonsDto);

    /**
     * 质检纸箱表删除
     */
    void delete(Long id);

}
